%define _default_patch_fuzz 2

Name:           perl-Text-SimpleTable
Version:        0.05
Release:        3%{?dist}
Summary:        Simple Eyecandy ASCII Tables
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-SimpleTable/
Source0:        http://www.cpan.org/authors/id/S/SR/SRI/Text-SimpleTable-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# see http://rt.cpan.org/Public/Bug/Display.html?id=22371
Patch0:         simpletable.patch

# Note pod coverage tests fail at the moment, so we disable them for now.

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
# testing
BuildRequires:  perl(Test::More)
#BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

%description
Simple eyecandy ASCII tables, as seen in Catalyst.

%prep
%setup -q -n Text-SimpleTable-%{version}
%patch0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
#export TEST_POD=1
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.05-2
- let's try this again, with patch fuzz = 2

* Sun Sep 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- update to 0.05
- add patch from CPAN RT#22371
- change to ExtUtils::MakeMaker incantations

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-3
- rebuild for new perl

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump

* Tue Apr 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- Specfile autogenerated by cpanspec 1.70.
